1. Computer problem? Tech Support Guy is completely free -- paid for by advertisers and donations. Click here to join today! If you're new to Tech Support Guy, we highly recommend that you visit our Guide for New Members.

Security Update for Framework 1.1 SP1 won't install

Discussion in 'Windows XP' started by fv104, Jun 14, 2012.

Thread Status:
Not open for further replies.
Advertisement
  1. fv104

    fv104 Thread Starter

    Joined:
    May 4, 2012
    Messages:
    89
    Security Update for Microsoft .NET Framework 1.1 SP1 on Windows XP, Windows Vista, and Windows Server 2008 x86 (KB2656370) can't be installed on my Clevo (Mesh) D480W. Windows automatic updates keep proposing it but keeps failing since yesterday morning.

    Thanks for help.
     
  2. flavallee

    flavallee Frank Trusted Advisor

    Joined:
    May 12, 2002
    Messages:
    63,659
    Go to Control Panel - Add Or Remove Programs.

    Make sure that "Show Updates" is NOT checked, and make sure that "Sort - By Name" is selected.

    What versions of Microsoft .NET Framework are in the list?

    -----------------------------------------------------------
     
  3. fv104

    fv104 Thread Starter

    Joined:
    May 4, 2012
    Messages:
    89
    Hello, thanks for your advice, but I haven't checked this yet, which list are you refering to?
     
  4. flavallee

    flavallee Frank Trusted Advisor

    Joined:
    May 12, 2002
    Messages:
    63,659
    I'm just trying to confirm which version(s) of Microsoft .NET Framework your computer currently has installed.

    Your computer is running Windows XP, so it's possible that some or all of these versions are installed:

    1.1 SP1

    2.0 SP2

    3.0 SP2

    3.5 SP1

    4.0

    ------------------------------------------------------
     
  5. fv104

    fv104 Thread Starter

    Joined:
    May 4, 2012
    Messages:
    89
    Hello,

    just checked in programs, I have:

    1.1 SP1

    2.0 SP2

    3.0 SP2

    "Show Updates" is NOT checked, and "Sort - By Name" is selected
     
  6. flavallee

    flavallee Frank Trusted Advisor

    Joined:
    May 12, 2002
    Messages:
    63,659
    It appears that you don't have versions 3.5 SP1 or 4.0 installed.

    There's no need to install either of them, unless you install or update a program/suite that requires one of them.

    If you do require one of them, you'll be alerted to install it.

    Version 1.1 SP1 is several years old, so it's unlikely that the security update for it is needed.

    My advice is to uncheck that security update, then select not to show it again.

    Do NOT uninstall/remove 1.1 SP1 or the other 2 versions.

    -------------------------------------------
     
  7. NovisNell

    NovisNell

    Joined:
    Jun 14, 2012
    Messages:
    1
    I too have the same problem. But in my case I do have 3.5 SP1 and 4 installed. I still can't get the update to work.
     
  8. flavallee

    flavallee Frank Trusted Advisor

    Joined:
    May 12, 2002
    Messages:
    63,659
    Do what I advised fv104. Uncheck it and then select not to show it again.

    -----------------------------------------------------------
     
  9. raybro

    raybro

    Joined:
    Apr 26, 2003
    Messages:
    5,822
    I don't know if this will be of any help or just confuse things further, but here is what happened when I attempted to install that same update.

    My Comodo firewall (free version) popped up a notice the program was not recognized and isolated it. From there it would not install and opened the"Notify Microsoft" dialog.

    I clicked the "do not isolate again" option and launched the installer again. All went just fine and the software installed normally.

    BTW.. Another variable is I have Windows Update set to notify me when updates are available, then download them from the Windows Update Catalog site, then install them after that.
    Following is my system info:

    Tech Support Guy System Info Utility version 1.0.0.1
    OS Version: Microsoft Windows XP Home Edition, Service Pack 3, 32 bit
    Processor: AMD Turion(tm) 64 X2 Mobile Technology TL-58, x86 Family 15 Model 104 Stepping 1
    Processor Count: 2
    RAM: 1917 Mb
    Graphics Card: ATI Radeon Xpress 1150, 256 Mb
    Hard Drives: C: Total - 50006 MB, Free - 34367 MB; E: Total - 15178 MB, Free - 6187 MB; G: Total - 49285 MB, Free - 14287 MB;
    Motherboard: Dell Inc., 0UW744, , .DWD23F1.CN486437B80061.
    Antivirus: Microsoft Security Essentials, Updated: Yes, On-Demand Scanner: Enabled
     
  10. fv104

    fv104 Thread Starter

    Joined:
    May 4, 2012
    Messages:
    89
    Hello,

    thanks for all the advices.

    I've had the idea to reinstall framework1.1sp1 just in case it's been corrupted or accidentally deleted, using following link: http://www.microsoft.com/en-us/download/details.aspx?id=33

    Unfortunately the download didn't work cause netfx.msi installation package cannot be found on my computer (error 1706). Any chance to find a a path to recover that one?
     
  11. Sponsor

As Seen On
As Seen On...

Welcome to Tech Support Guy!

Are you looking for the solution to your computer problem? Join our site today to ask your question. This site is completely free -- paid for by advertisers and donations.

If you're not already familiar with forums, watch our Welcome Guide to get started.

Join over 733,556 other people just like you!

Loading...
Thread Status:
Not open for further replies.

Short URL to this thread: https://techguy.org/1057029